[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: syncrepl, version compatibility, partial sync

--On Thursday, June 14, 2012 11:00 AM -0700 Ryan Lovett <relovett@gmail.com> wrote:

On Thu, Jun 14, 2012 at 10:55 AM, Quanah Gibson-Mount <quanah@zimbra.com>

--On Thursday, June 14, 2012 10:31 AM -0700 Ryan Lovett
<relovett@gmail.com> wrote:

Are there any known syncrepl compatibility issues between different 2.4.x
versions? We have a master slapd running 2.4.9 and a consumer running
2.4.21 and are having a syncrepl problem and only some of the data is
being synced. The consumer slapd logs messsages of the form:

a) Always run the same versions everywhere

b) Both of those versions are out of date, and have known issues with

c) Upgrade to 2.4.31.

I see, thanks for your feedback. We had been hoping we could rely on our
vendor's (Ubuntu LTS; 8.04 and 10.04) releases. I'll build from source.Â

Please keep replies on-list.  Thanks.

You may wish to read:


written by one of the Debian OpenLDAP maintainers.

I also suggest reading:


Finally, when you go to build it yourself, I highly recommend linking to OpenSSL, rather than GnuTLS.



Quanah Gibson-Mount
Sr. Member of Technical Staff
Zimbra, Inc
A Division of VMware, Inc.
Zimbra ::  the leader in open source messaging and collaboration